Subject: Re: AHS Codes

From: "Julian Satran" <[email-masked]>
Date: Fri, 30 Aug 2002 19:33:52 +0300

We can rip it off (historical artifact). Unless we want a registry for it 
:-)

Julo

[email-masked]
Sent by: [email-masked]
30/08/02 18:05

        To:     [email-masked], [email-masked]
        cc: 
        Subject:        AHS Codes

> > > --- AHS ---
> > > Next question: if an AHS is present in a PDU allowing it, but
> > > the target does not know what to do with it, should the target 
reject
> > > the PDU or ignore the AHS?
> >
> > Such a target is broken (if an AHS is allowed, the target has to
> > expect that it might be present and be prepared to do whatever
> > is necessary), and should be fixed.
> 
> 
> Let me give a better example: Section 9.2.2.1, AHSType, lists "60- 63
> Non-iSCSI extensions".  What should the target do if it comes 
> across an AHS with an AHSType of 60?  Is there some other document 
> specifying what these codes mean?

We don't say anything useful at the moment.  Is there any good reason
not to rip this out and add 60-63 to the Reserved range (currently
3-59)?

Thanks,
--David